qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Ross <tr...@redhat.com>
Subject Re: qpid 0.24 client with a 0.14 broker
Date Fri, 03 Jan 2014 19:04:26 GMT

On 01/03/2014 01:52 PM, Crinklaw-Vogt, Matthew wrote:
> Since qpid 0.14 and 0.24 both support the same version of the AMQP spec, should I expect
a qpid 0.24 java client to work with the qpid 0.14 C++ broker?

Though we probably haven't tested that specific combination as part of 
the release, I would expect it to work normally.

> I assume that if I were to venture out an use features like 'x-bindings' that aren't
covered in the AMQP spec then I shouldn't expect those to work with different client and broker
versions, or would you expect those to work too?

The extensions to the address directives (like x-bindings) are specific 
to AMQP 0-10.  I would again expect those to work normally across 
versions of the clients and broker.  However, these will not be 
compatible going forward to AMQP 1.0 so use them advisedly.

-Ted

>
> Matt Crinklaw-Vogt
> Lockheed Martin, MS2
> 703-367-1040
>


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message